Oore CI
ReferenceAPIOperationsPipelines

Create pipeline

Create pipeline

Operation IDcreate_pipeline
POST
/v1/projects/{project_id}/pipelines

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/pipelines" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "pipeline": {    "concurrency": {      "cancel_previous": true,      "max_concurrent": 0    },    "config_path": "string",    "config_path_explicit": true,    "created_at": 0,    "enabled": true,    "execution_config": {      "artifact_patterns": [        "string"      ],      "commands": {        "build": [          "string"        ],        "post_build": [          "string"        ],        "pre_build": [          "string"        ]      },      "env": [        {          "key": "string",          "value": "string"        }      ],      "flutter_version": "string",      "platform_build_args": {        "android": [          "string"        ],        "ios": [          "string"        ],        "macos": [          "string"        ]      },      "platform_commands": {        "android": "string",        "ios": "string",        "macos": "string"      },      "platforms": [        "android"      ]    },    "id": "string",    "name": "string",    "project_id": "string",    "trigger_config": {      "branches": [        "string"      ],      "events": [        "string"      ]    },    "updated_at": 0  }}